You are viewing a plain text version of this content. The canonical link for it is here.
Posted to gitbox@yetus.apache.org by aw...@apache.org on 2022/05/04 17:15:41 UTC

[yetus] 06/24: HADOOP-3345. Enhance the hudson-test-patch target to cleanup messages, fix minor defects, and add eclipse plugin and python unit tests. Contributed by Nigel Daley.

This is an automated email from the ASF dual-hosted git repository.

aw pushed a commit to tag prehistory
in repository https://gitbox.apache.org/repos/asf/yetus.git

commit 76c330d43f8baacb71cf53a7cae41de1c7a80149
Author: Nigel Daley <ni...@apache.org>
AuthorDate: Sun May 4 16:07:22 2008 +0000

    HADOOP-3345. Enhance the hudson-test-patch target to cleanup messages, fix minor defects, and add eclipse plugin and python unit tests. Contributed by Nigel Daley.
    
    git-svn-id: https://svn.apache.org/repos/asf/hadoop/core/trunk@653239 13f79535-47bb-0310-9956-ffa450edef68
---
 src/test/bin/test-patch.sh | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/src/test/bin/test-patch.sh b/src/test/bin/test-patch.sh
index 2d1538a4..b7681201 100755
--- a/src/test/bin/test-patch.sh
+++ b/src/test/bin/test-patch.sh
@@ -585,10 +585,9 @@ RESULT=$?
 checkTests
 (( RESULT = RESULT + $? ))
 applyPatch
-(( RESULT = RESULT + $? ))
-if [[ $RESULT != 0 ]] ; then
+if [[ $? != 0 ]] ; then
   submitJiraComment 1
-  cleanupAndExit $RESULT
+  cleanupAndExit 1
 fi
 checkJavadocWarnings
 (( RESULT = RESULT + $? ))